Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class DataTagBase

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.DataTagBase`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  InputTagBase, SetAttributeTag, ShowValueTag

public class DataTagBase
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected AttributeDef` | `attrDef`
`protected AttributeList` | `attrList`
`protected JUCtrlValueBinding` | `binding`
`protected DataSource` | `ds`
`protected java.lang.String` | `modelReference`
`protected Row` | `row`
`static java.lang.String` | `ROWKEY_PARAM`
`protected java.lang.String` | `rowVariableName`
`protected java.lang.String` | `sAttrName`
`protected java.lang.String` | `sDataItem`
`protected java.lang.String` | `sDataSource`
`protected java.lang.String` | `sSubAttrName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DataTagBase()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`javax.servlet.jsp.tagext.Tag` | `findAncestorWithClassForDataSource(java.lang.Class klass)`
`static Row` | `getRowFromContext(javax.servlet.jsp.tagext.Tag from, java.lang.String dataSourceName, DataSource dsIn)`
`protected void` | `initializeAttributeDef()`
`protected void` | `initializeDataSource()`
`protected void` | `initializeRow()`
`protected void` | `initializeUsingModelReference()`
`void` | `internalInitialize()`
`protected boolean` | `isUsingBindings()`
`void` | `setDataitem(java.lang.String sValue)`
`void` | `setDatasource(java.lang.String sDataSource)`
`void` | `setModel(java.lang.String sModel)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROWKEY_PARAM

    public static final java.lang.String ROWKEY_PARAM

  See Also:
    Constant Field Values

### sDataSource

    protected java.lang.String sDataSource

### sDataItem

    protected java.lang.String sDataItem

### ds

    protected DataSource ds

### row

    protected Row row

### attrDef

    protected AttributeDef attrDef

### sAttrName

    protected java.lang.String sAttrName

### sSubAttrName

    protected java.lang.String sSubAttrName

### attrList

    protected AttributeList attrList

### modelReference

    protected java.lang.String modelReference

### binding

    protected JUCtrlValueBinding binding

### rowVariableName

    protected java.lang.String rowVariableName

Constructor Detail

### DataTagBase

    public DataTagBase()

Method Detail

### isUsingBindings

    protected boolean isUsingBindings()

### setDatasource

    public void setDatasource(java.lang.String sDataSource)

### setDataitem

    public void setDataitem(java.lang.String sValue)

### setModel

    public void setModel(java.lang.String sModel)

### findAncestorWithClassForDataSource

    public final javax.servlet.jsp.tagext.Tag findAncestorWithClassForDataSource(java.lang.Class klass)

### initializeUsingModelReference

    protected void initializeUsingModelReference()

### initializeDataSource

    protected void initializeDataSource()

### initializeRow

    protected void initializeRow()

### getRowFromContext

    public static final Row getRowFromContext(javax.servlet.jsp.tagext.Tag from,
                                              java.lang.String dataSourceName,
                                              DataSource dsIn)

### initializeAttributeDef

    protected void initializeAttributeDef()

### internalInitialize

    public void internalInitialize()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.